### Enumeration

# Cogl IndicesType

#### Declaration

    enum Cogl.IndicesType

#### Description [src]

You should aim to use the smallest data type that gives you enough range, since it reduces the size of your index array and can help reduce the demand on memory bandwidth.

Note that `COGL_INDICES_TYPE_UNSIGNED_INT` is only supported if the `COGL_FEATURE_ID_UNSIGNED_INT_INDICES` feature is available. This should always be available on OpenGL but on OpenGL ES it will only be available if the GL_OES_element_index_uint extension is advertized.

#### Members

`COGL_INDICES_TYPE_UNSIGNED_BYTE`

  Your indices are unsigned bytes.

  - Value: `0`
  - Available since: 14
`COGL_INDICES_TYPE_UNSIGNED_SHORT`

  Your indices are unsigned shorts.

  - Value: `1`
  - Available since: 14
`COGL_INDICES_TYPE_UNSIGNED_INT`

  Your indices are unsigned ints.

  - Value: `2`
  - Available since: 14